export const colorsConfig = {
    default: {
        background: 'from-zinc-400/15 via-zinc-950 to-violet-200/15',
        image: 'from-zinc-400 to-violet-200',
        title: 'from-zinc-400 to-violet-200',
        textPrimary: 'from-slate-400 via-gray-400 to-zinc-400',
        textSecondary: 'from-blue-200 via-indigo-200 to-violet-200',
        cardPrimary: 'default',
        cardSecondary: 'ghost',
        button: 'default',
        github: 'ghost',
        card: 'bg-zinc-900/75'
    },
    primary: {
        background: 'from-blue-500/15 via-zinc-950 to-green-500/15',
        image: 'from-blue-500 to-green-500',
        title: 'from-blue-500 to-green-500',
        textPrimary: 'from-cyan-500 via-sky-500 to-blue-500',
        textSecondary: 'from-teal-500 via-emerald-500 to-green-500',
        cardPrimary: 'primary',
        cardSecondary: 'success',
        button: 'primary',
        github: 'success',
        card: 'bg-sky-900/75'
    },
    secondary: {
        background: 'from-purple-500/15 via-zinc-950 to-blue-500/15',
        image: 'from-purple-500 to-blue-500',
        title: 'from-purple-500 to-blue-500',
        textPrimary: 'from-purple-500 via-violet-500 to-indigo-500',
        textSecondary: 'from-cyan-500 via-sky-500 to-blue-500',
        cardPrimary: 'secondary',
        cardSecondary: 'primary',
        button: 'secondary',
        github: 'primary',
        card: 'bg-violet-900/75'
    },
    success: {
        background: 'from-green-500/15 via-zinc-950 to-orange-500/15',
        image: 'from-green-500 to-orange-500',
        title: 'from-green-500 to-orange-500',
        textPrimary: 'from-teal-500 via-emerald-500 to-green-500',
        textSecondary: 'from-yellow-500 via-amber-500 to-orange-500',
        cardPrimary: 'success',
        cardSecondary: 'warning',
        button: 'success',
        github: 'warning',
        card: 'bg-emerald-900/75'
    },
    warning: {
        background: 'from-yellow-500/15 via-zinc-950 to-red-500/15',
        image: 'from-yellow-500 to-red-500',
        title: 'from-yellow-500 to-red-500',
        textPrimary: 'from-yellow-500 via-amber-500 to-orange-500',
        textSecondary: 'from-pink-500 via-rose-500 to-red-500',
        cardPrimary: 'warning',
        cardSecondary: 'error',
        button: 'warning',
        github: 'error',
        card: 'bg-amber-900/75'
    },
    error: {
        background: 'from-red-500/15 via-zinc-950 to-violet-500/15',
        image: 'from-red-500 to-violet-500',
        title: 'from-red-500 to-violet-500',
        textPrimary: 'from-pink-500 via-rose-500 to-red-500',
        textSecondary: 'from-purple-500 via-violet-500 to-indigo-500',
        cardPrimary: 'error',
        cardSecondary: 'secondary',
        button: 'error',
        github: 'secondary',
        card: 'bg-rose-900/75'
    },
    ghost: {
        background: 'from-blue-200/15 via-zinc-950 to-zinc-400/15',
        image: 'from-blue-200 to-zinc-400',
        title: 'from-blue-200 to-zinc-400',
        textPrimary: 'from-blue-200 via-indigo-200 to-violet-200',
        textSecondary: 'from-slate-400 via-gray-400 to-zinc-400',
        cardPrimary: 'ghost',
        cardSecondary: 'default',
        button: 'ghost',
        github: 'default',
        card: 'bg-indigo-900/75' 
    }
}